/**
 * create by robot 
 * date Tue Sep 10 15:03:55 CST 2019 
 */ 

$(document).ready(function(){
	//form表单样式
	layui.use(['layer', 'form'], function() {
		var layer = layui.layer,
			form = layui.form;
		form.render();
	});
	//li 切换事件
	$(".nav-tabs>li").click(function() {
		var index = $(".nav-tabs>li").index(this);
		$(this).addClass("active").siblings("li").removeClass("active");
		
	})
	//弹出一个提示层
	$('.fa-save').on('click', function() {
		saveMerchantBaseInfo();
	});

	//绑定标签栏事件
	$(document).on('click','.nav-tabs li',function(){

		var action =$(this).data('action');
		 switch (action) {
			case "base"://基本资料
				goBase();
				break;  
			case "functions"://多功能
				goFunctions();
				break;
			case "extends"://扩展    
				goExtends();         
				break;           
		 }
	})

	//加载第一个标签
	$('.nav-tabs li').eq(0).click();
	
});


//跳转基本信息 
function goBase(){
	var url=ctx+'/merchantBaseInfo/queryMerchantBaseInfoBaseInfo?id='+$('#merchantBaseInfoId').val();
	$('.tab-content').load(url);
	              
}
//跳转多功能输入
function goFunctions(){ 
	var url=ctx+'/merchantBaseInfo/queryMerchantBaseInfoFunctionsInfo?id='+$('#merchantBaseInfoId').val();
	$('.tab-content').load(url);  
	
}
//跳转到扩展   
function goExtends(){
	
	var url=ctx+'/merchantBaseInfo/queryMerchantBaseInfoExtendsInfo?id='+$('#merchantBaseInfoId').val();
	$('.tab-content').load(url);          
}  
  

 
//保存
function saveMerchantBaseInfo(){
	//商户名称
	var merchantName=$("#merchantName").val();
	if(StringUtil.isBlank(merchantName)){
		layer.msg('请输入商户名称'); 
		return;
	}
	//商户类型
	var merchantType=$("#merchantType option:selected").val();
	if(StringUtil.isBlank(merchantType)){
		layer.msg('请选择商户类型'); 
		return;
	}
	//商户经营类型
	var dealType=$("#dealType option:selected").val();
	if(StringUtil.isBlank(dealType)){
		layer.msg('请选择商户经营类型'); 
		return;
	}
	//商户清算资金是否支持T+0到账
	var supportPrepayment=$("#supportPrepayment option:selected").val();
	if(StringUtil.isBlank(supportPrepayment)){
		layer.msg('请选择是否支持T+0到账'); 
		return;
	}
	settleMode
	//结算方式
	var settleMode=$("#settleMode option:selected").val();
	if(StringUtil.isBlank(settleMode)){
		layer.msg('请选择结算方式'); 
		return;
	}
	//经营类目
	var mcc=$("#mcc").val();
	if(StringUtil.isBlank(mcc)){
		layer.msg('请输入经营类目'); 
		return;
	}
	//是否支持花呗分期
	var supportStage=$("#supportStage option:selected").val();
	if(StringUtil.isBlank(supportStage)){
		layer.msg('请选择是否支持花呗分期'); 
		return;
	}
	//公众号相关信息的类型
	var partnerType=$("#partnerType option:selected").val();
	if(StringUtil.isBlank(partnerType)){
		layer.msg('请选择公众号相关信息的类型'); 
		return;
	}
	//支付宝费率版本
	var rateVersion=$("#rateVersion option:selected").val();
	if(StringUtil.isBlank(rateVersion)){
		layer.msg('请选择支付宝费率版本'); 
		return;
	}
	//商户简称
	var alias=$("#alias").val();
	if(StringUtil.isBlank(alias)){
		layer.msg('请输入商户简称');
		return;
	}
	//手机号
	var contactMobile=$("#contactMobile").val();
	if(StringUtil.isBlank(contactMobile)){
		layer.msg('请输入手机号');
		return;
	}
	if(StringUtil.isNotPhone(contactMobile)){
		layer.msg('请输入正确的手机号'); 
		return;
	}
	//联系人姓名
	var contactName=$("#contactName").val();
	if(StringUtil.isBlank(contactName)){
		layer.msg('请输入联系人姓名'); 
		return;
	}
	//地址
	var address=$("#address").val();
	if(StringUtil.isBlank(address)){
		layer.msg('请输入地址'); 
		return;
	}
	//商户客服电话
	var servicePhoneNo = $("#servicePhoneNo").val();
	if(StringUtil.isNotPhone(servicePhoneNo)){
		if(StringUtil.isBlank(servicePhoneNo)){
			layer.msg('请输入手机号');
		}else{
			layer.msg('请输入正确的手机号');
		}
		return;
	}
	var email=$("#email").val();
	if(StringUtil.isNotEmail(email)){
		layer.msg('请输入正确的邮箱格式'); 
		return;
	}
	 
	$(".fa-save").attr("disabled","disabled");
	$('.fa-save').html('正在保存...')
	$.ajax({
		url:ctx+"/merchantBaseInfo/saveMerchantBaseInfo",
		type:"POST",
		dataType:'json',
		data:$("#data_form").serializeArray(),
		complete:function(){
			$(".fa-save").removeAttr("disabled");
			$('.fa-save').html('保存')
		},        
		success:function(service){ 
		
			layer.confirm('保存成功,是否前往列表？', {
				  btn: ['确认','取消'] //按钮
				}, function(){
					$('#goback span').trigger('click');
				}, function(){         
					layer.closeAll();
			});  
			
		}
	});  
}
 

